# WooCommerce Order Completion

### WooCommerce Order Completion

By default, WooCommerce will only auto-complete paid orders for products that are **both Virtual and Downloadable**, assuming that the shop needs to fulfill/ship any orders that don’t meet these criteria.&#x20;

{% hint style="success" %}
If your orders are not auto-completing and you want them to do so, then the workaround would be to ensure that your products are marked as **both Virtual and Downloadable**.&#x20;

Alternatively, you can use a plugin like [Autocomplete WooCommerce Orders ](https://wordpress.org/plugins/autocomplete-woocommerce-orders/)or [Order Status Control](https://woocommerce.com/document/woocommerce-order-status-control/).&#x20;
{% endhint %}

{% hint style="warning" %}
Marking products as both Virtual and Downloadable may enable the Downloads menu item in the WooCommerce Account area accessed by users. This can be hidden with CSS.&#x20;
{% endhint %}

### Payment Confirmation

We've optimized China Payments Plugin with 3 methods for verifying payment confirmation:

* [Webhook Configuration](/faqs/how-do-i-set-up-stripe-webhooks.md)
* User Callback
* Cron Checks

For high-volume sites (>1 order per minute), it may be beneficial to disable the cron checks in order to optimize performance.

In order to disable cron checks, please add this custom code to your theme-functions.php file:

{% code overflow="wrap" %}

```
add_filter( 'china_payments_woocommerce_has_background_payment_check', '__return_false' );
```

{% endcode %}

For developers, the registered Action is `china_payments_woocommerce_background_payment_check`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chinapaymentsplugin.com/troubleshooting/woocommerce-order-completion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
